<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::Event Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structOpenSim_1_1Event.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="structOpenSim_1_1Event-members.html">List of all members</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::Event Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Struct representing an event extracted from a C3D file.  
 <a href="structOpenSim_1_1Event.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5cc9d7a3caf390d9f0223e1e828d1700"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1Event.html#a5cc9d7a3caf390d9f0223e1e828d1700">label</a></td></tr>
<tr class="separator:a5cc9d7a3caf390d9f0223e1e828d1700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f6a5e3708416ca665afbf1687b94ba9"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1Event.html#a0f6a5e3708416ca665afbf1687b94ba9">time</a></td></tr>
<tr class="separator:a0f6a5e3708416ca665afbf1687b94ba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a949573defde1aac3ef89c275bf92496f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1Event.html#a949573defde1aac3ef89c275bf92496f">frame</a></td></tr>
<tr class="separator:a949573defde1aac3ef89c275bf92496f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d7a90dc01b76904f0d62b0672716d3"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1Event.html#ad7d7a90dc01b76904f0d62b0672716d3">description</a></td></tr>
<tr class="separator:ad7d7a90dc01b76904f0d62b0672716d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>Struct representing an event extracted from a C3D file. </p>
<p><br  />
 </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="ad7d7a90dc01b76904f0d62b0672716d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7d7a90dc01b76904f0d62b0672716d3">&#9670;&nbsp;</a></span>description</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string OpenSim::Event::description</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a949573defde1aac3ef89c275bf92496f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a949573defde1aac3ef89c275bf92496f">&#9670;&nbsp;</a></span>frame</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int OpenSim::Event::frame</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5cc9d7a3caf390d9f0223e1e828d1700"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cc9d7a3caf390d9f0223e1e828d1700">&#9670;&nbsp;</a></span>label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string OpenSim::Event::label</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f6a5e3708416ca665afbf1687b94ba9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f6a5e3708416ca665afbf1687b94ba9">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double OpenSim::Event::time</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>OpenSim/Common/Event.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="structOpenSim_1_1Event.html">Event</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:20 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
